Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class TimeStampResp

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.tsp.TimeStampResp

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TimeStampResp
extends ASN1Object

Constructor Summary
`TimeStampResp(PKIStatusInfo pkiStatusInfo, ContentInfo timeStampToken)`

Method Summary
`static TimeStampResp` | `getInstance(java.lang.Object o)`
`PKIStatusInfo` | `getStatus()`
`ContentInfo` | `getTimeStampToken()`
`ASN1Primitive` | `toASN1Primitive()` TimeStampResp ::= SEQUENCE { status PKIStatusInfo, timeStampToken TimeStampToken OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampResp

    public TimeStampResp(PKIStatusInfo pkiStatusInfo,
                         ContentInfo timeStampToken)

Method Detail

### getInstance

    public static TimeStampResp getInstance(java.lang.Object o)

### getStatus

    public PKIStatusInfo getStatus()

### getTimeStampToken

    public ContentInfo getTimeStampToken()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  TimeStampResp ::= SEQUENCE { status PKIStatusInfo, timeStampToken TimeStampToken OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD